Commit eff3c463 authored by Simon Eismann's avatar Simon Eismann

Merge branch 'develop' into empiricalBlackBox

Conflicts:
	sources/qpme.qpe.core/META-INF/MANIFEST.MF
	sources/qpme.simqpn.kernel/META-INF/MANIFEST.MF
parents 37bb21be f3d4ce0c
......@@ -7,3 +7,4 @@ Bundle-Vendor: QPME
Fragment-Host: qpme.model.migration;bundle-version="2.2.0"
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Require-Bundle: org.junit;bundle-version="4.8.2"
Automatic-Module-Name: qpme.model.migration.tests
......@@ -7,3 +7,4 @@ Bundle-Vendor: qpme.sourceforge.net
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Export-Package: edu.kit.ipd.descartes.qpme.model.migration
Import-Package: org.osgi.framework;version="1.6.0"
Automatic-Module-Name: qpme.model.migration
......@@ -14,3 +14,4 @@ Require-Bundle: org.eclipse.core.runtime,
org.eclipse.emf.ecore;visibility:=reexport,
org.eclipse.emf.ecore.xmi;visibility:=reexport
Bundle-ActivationPolicy: lazy
Automatic-Module-Name: qpme.model
......@@ -14,12 +14,12 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.ui.views,
org.eclipse.ui.console,
qpme.model.migration;bundle-version="2.2.0",
org.dom4j;bundle-version="1.6.1",
org.dom4j,
org.jfreechart.core;bundle-version="1.0.12",
org.jfreechart.jcommon;bundle-version="1.0.15",
org.jfreechart.swt;
org.rosuda.JRI;
org.jaxen;bundle-version="1.1.0"
org.jfreechart.swt;bundle-version="1.0.12",
org.rosuda.JRI;bundle-version="0.5.0",
org.jaxen
Bundle-ActivationPolicy: lazy
Export-Package: de.tud.cs.qpe,
de.tud.cs.qpe.editors.incidence,
......@@ -69,3 +69,4 @@ Export-Package: de.tud.cs.qpe,
de.tud.cs.qpe.utils.view.anchor
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Import-Package: org.apache.log4j
Automatic-Module-Name: qpme.qpe.core
......@@ -26,7 +26,7 @@ Export-Package: de.tud.cs.simqpn.kernel,
de.tud.cs.simqpn.kernel.persistency,
de.tud.cs.simqpn.kernel.util
Bundle-Vendor: Descartes Research Group
Require-Bundle: org.dom4j;bundle-version="1.6.1",
Require-Bundle: org.dom4j,
org.apache.log4j;bundle-version="1.2.15",
org.eclipse.equinox.app,
org.eclipse.core.runtime;bundle-version="3.7.0",
......@@ -35,3 +35,4 @@ Require-Bundle: org.dom4j;bundle-version="1.6.1",
org.eclipse.equinox.concurrent;bundle-version="1.1.0"
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Import-Package: org.apache.commons.math.distribution
Automatic-Module-Name: qpme.simqpn.kernel
......@@ -14,3 +14,4 @@ Require-Bundle: org.eclipse.core.runtime,
org.eclipse.emf.ecore;visibility:=reexport,
org.eclipse.emf.ecore.xmi;visibility:=reexport
Bundle-ActivationPolicy: lazy
Automatic-Module-Name: qpme.simqpn.model
......@@ -12,10 +12,11 @@ Require-Bundle: qpme.simqpn.kernel,
org.eclipse.ui,
qpme.qpe.core;bundle-version="2.2.0",
org.apache.log4j;bundle-version="1.2.15",
org.dom4j;bundle-version="1.6.1"
org.dom4j
Export-Package: de.tud.cs.simqpn.ui,
de.tud.cs.simqpn.ui.actions,
de.tud.cs.simqpn.ui.dialog,
de.tud.cs.simqpn.ui.model,
de.tud.cs.simqpn.ui.wizard,
de.tud.cs.simqpn.ui.wizard.page
Automatic-Module-Name: qpme.simqpn.ui
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment